RichText view - standard font is too big (due to UHD feature)
Description

History

#1 - 08/09/2015 09:23 PM - Zbigniew Rebacz

OK, About.cpp with new values:

    AboutDlg() {

        Size isz = MakeLogo(*this, ctrl);

        int cx = min(Zx(850), GetWorkArea().GetWidth()); // <- this

        SetRect(0, 0, cx, isz.cy);

        about.SetQTF(GetTopic("ide/app/About$en-us"), Zoom(Zy(105), 1024)); // <- this

        about.SetZoom(Zoom(1, 1));

        about.RightPos(0, cx - isz.cx).VSizePos();

        about.HMargins(Zx(4));

        about.SetFrame(NullFrame());

        about.NoLazy();

        Background(PaintRect(ColorDisplay(), SColorPaper()));

        Add(about);

        Title("About TheIDE");

    }

#2 - 08/09/2015 09:33 PM - Zbigniew Rebacz

For help it could be something like that:

    zoom.d = 1000000 / Zy(800);

For About you can change also:

int cx = min(Zx(850), GetWorkArea().GetWidth());

to:

int cx = min(Zx(800), GetWorkArea().GetWidth());

but it is optional.
#3 - 08/21/2015 11:45 AM - Miroslav Fidler

- Status changed from New to Approved

Files

StandardHelpWindow.png 210 KB 08/09/2015 Zbigniew Rebacz
